> For the complete documentation index, see [llms.txt](https://learn.capstorm.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://learn.capstorm.com/copystorm-director/reference/copystorm-director-database/applicationcredential.md).

# ApplicationCredential

## *ApplicationCredential* Table

The *ApplicationCredential* table maintains secure, reusable credential information used for authenticating against external systems such as Salesforce or database connections. It supports different connection and credential types with flexible formats.

The following table describes each field in the *ApplicationCredential* table:

| Column Name    | Data Type | Required | Description                                                                                                          |
| -------------- | --------- | -------- | -------------------------------------------------------------------------------------------------------------------- |
| name           | varchar   | Yes      | A unique identifier to describe the stored credentials.                                                              |
| connectionType | varchar   | Yes      | The type of connection associated with the credentials, i.e. Salesforce, Database                                    |
| credentialType | varchar   | Yes      | The type of credentials that are stored, i.e, OAuth, Username and Password                                           |
| loginHost      | varchar   | No       | An optional host endpoint utilized by the credentials for Salesforce connections.                                    |
| credentials    | clob      | Yes      | The actual credentials being stored. Format of this field is dependent on the *connectionType* and *credentialType.* |
| isactive       | boolean   | Yes      | True if the credentials can be utilized, otherwise false.                                                            |
| createdDate    | datetime  | Yes      | The date and time when the record was created.                                                                       |
| modifiedDate   | datetime  | Yes      | The date and time when the record was last modified.                                                                 |
| lastModifiedBy | varchar   | Yes      | The user who last modified the record.                                                                               |
| createdBy      | varchar   | Yes      | The user who created the record.                                                                                     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://learn.capstorm.com/copystorm-director/reference/copystorm-director-database/applicationcredential.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
